View Issue Details

IDProjectCategoryView StatusLast Update
0001399SymmetricDSBugpublic2014-02-02 20:53
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.5.4 
Target Version3.5.5Fixed in Version3.5.5 
Summary0001399: Config and heartbeat batches can be lost if initial load is scheduled
DescriptionInitial load marks all pending batches as OK even though it doesn't initial load the configuration. This means that if a configuration batch has not been delivered then and an initial load is scheduled, then it could be lost forever.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 172cd98e

2013-08-23 11:09:08

chenson

Details Diff
0001399: Config and heartbeat batches can be lost if initial load is scheduled
0001399
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/job/DefaultOfflineServerListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IOutgoingBatchService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/OutgoingBatchService.java Diff File

Issue History

Date Modified Username Field Change
2013-08-23 09:45 chenson New Issue
2013-08-23 09:45 chenson Status new => assigned
2013-08-23 09:45 chenson Assigned To => chenson
2013-08-23 11:09 chenson Status assigned => resolved
2013-08-23 11:09 chenson Fixed in Version => 3.5.5
2013-08-23 11:09 chenson Resolution open => fixed
2013-08-27 17:05 chenson Status resolved => closed
2014-02-02 20:53 Changeset attached => SymmetricDS trunk r7664
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 172cd98e